summaryrefslogtreecommitdiffstats
path: root/desktop/xfce4-dict
diff options
context:
space:
mode:
author Robby Workman2010-05-13 00:23:40 +0200
committer Michiel van Wessem2010-05-13 00:23:40 +0200
commitace810ee8730330aadfa873c266e1250371a1675 (patch)
tree019bb7cc91500183fad8153b45c01363693075a6 /desktop/xfce4-dict
parentb8bb2476e6faf3e1b896729679bb8a515990ec76 (diff)
downloadslackbuilds-ace810ee8730330aadfa873c266e1250371a1675.tar.gz
desktop/xfce4-dict: Updated for version 0.6.0
Diffstat (limited to 'desktop/xfce4-dict')
-rw-r--r--desktop/xfce4-dict/README7
-rw-r--r--desktop/xfce4-dict/doinst.sh10
-rw-r--r--desktop/xfce4-dict/slack-desc8
-rw-r--r--desktop/xfce4-dict/xfce4-dict.SlackBuild23
-rw-r--r--desktop/xfce4-dict/xfce4-dict.info10
5 files changed, 39 insertions, 19 deletions
diff --git a/desktop/xfce4-dict/README b/desktop/xfce4-dict/README
index 6478db1a00..c6a1d84616 100644
--- a/desktop/xfce4-dict/README
+++ b/desktop/xfce4-dict/README
@@ -1,6 +1,5 @@
Dictionary plugin for Xfce panel
-With this plugin, you can query a dictionary server (see
-RFC 2229) to search for the translation or explanation of
-a word. You can also choose a dictionary offered by the
-server to improve your search results.
+With this plugin, you can query a dictionary server (see RFC 2229) to search
+for the translation or explanation of a word. You can also choose a dictionary
+offered by the server to improve your search results.
diff --git a/desktop/xfce4-dict/doinst.sh b/desktop/xfce4-dict/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/desktop/xfce4-dict/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/desktop/xfce4-dict/slack-desc b/desktop/xfce4-dict/slack-desc
index f8f4f6cb26..4756f48b75 100644
--- a/desktop/xfce4-dict/slack-desc
+++ b/desktop/xfce4-dict/slack-desc
@@ -12,7 +12,7 @@ xfce4-dict: With xfce4-dict, you can query a dictionary server (see RFC 2229)
xfce4-dict: to search for the translation or explanation of a word. You can
xfce4-dict: also choose a dictionary offered by the server to improve your
xfce4-dict: search results.
-xfce4-dict:
-xfce4-dict:
-xfce4-dict:
-xfce4-dict:
+xfce4-dict:
+xfce4-dict:
+xfce4-dict:
+xfce4-dict:
diff --git a/desktop/xfce4-dict/xfce4-dict.SlackBuild b/desktop/xfce4-dict/xfce4-dict.SlackBuild
index 9e2c1ec522..a12adf3ed3 100644
--- a/desktop/xfce4-dict/xfce4-dict.SlackBuild
+++ b/desktop/xfce4-dict/xfce4-dict.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for xfce4-dict
-# Copyright 2006-2008 Robby Workman Northport, AL, USA
+# Copyright 2006-2010 Robby Workman, Northport, AL, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=xfce4-dict
-VERSION=0.5.1
+VERSION=0.6.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,10 +35,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -60,6 +63,8 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc/xfce \
--mandir=/usr/man \
--enable-shared=yes \
--enable-static=no \
@@ -70,8 +75,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man || exit 1
@@ -80,12 +87,14 @@ make install DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/xfce4-dict/xfce4-dict.info b/desktop/xfce4-dict/xfce4-dict.info
index 74a43a6a8e..93f4d8aae3 100644
--- a/desktop/xfce4-dict/xfce4-dict.info
+++ b/desktop/xfce4-dict/xfce4-dict.info
@@ -1,8 +1,10 @@
PRGNAM="xfce4-dict"
-VERSION="0.5.1"
+VERSION="0.6.0"
HOMEPAGE="http://goodies.xfce.org/"
-DOWNLOAD="http://goodies.xfce.org/releases/xfce4-dict/xfce4-dict-0.5.1.tar.bz2"
-MD5SUM="944d73d82a8e18888050ffebc92a7864"
+DOWNLOAD="http://archive.xfce.org/src/apps/xfce4-dict/0.6/xfce4-dict-0.6.0.tar.bz2"
+MD5SUM="c371c5c0bbe45a2bfac336cfe01dfe01"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Robby Workman"
EMAIL="rw@rlworkman.net"
-APPROVED="dsomero"
+APPROVED="michiel"